Bug 861117 - No sound after suspend
No sound after suspend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 10:46 EDT by A. Folger
Modified: 2012-11-13 20:49 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 868677 (view as bug list)
Environment:
Last Closed: 2012-11-13 20:49:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a pulseaudio -vvvv output (44.99 KB, text/plain)
2012-10-21 12:31 EDT, John Anderson
no flags Details

  None (edit)
Description A. Folger 2012-09-27 10:46:54 EDT
Description of problem:
After waking up from suspend, there is no sound, until plugging the speakers out of the line out jack, and plugging back in.

Version-Release number of selected component (if applicable):
This has been a persistent problem with all updates since F17.

How reproducible:
Every time

Steps to Reproduce:
1. Suspend (probably after accessing the sound output at least once, but that always happens with startup sound of the window manager)
2. Wake up
3. Play sound
  
Actual results:
No sound

Expected results:
Hear sound

Additional info:
I tried the solution in Bug #652753, but switching to another virtual terminal and back solved nothing (plus, even then, it would be a bug).

Here is some hardware info:

# cat /proc/asound/modules
 0 snd_usb_audio
 1 snd_hda_intel
 2 snd_hda_intel
# lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS880 Host Bridge
00:01.0 PCI bridge: ASUSTeK Computer Inc. RS880 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3c)
00:14.1 IDE interface: ATI Technologies Inc SB7x0/SB8x0/SB9x0 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Link Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS880 [Radeon HD 4250]
01:05.1 Audio device: ATI Technologies Inc RS880 Audio Device [Radeon HD 4200]
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
Comment 1 John Anderson 2012-10-21 12:28:35 EDT
I have the same issue, if I'm using sound or have been using sound, then go into suspend, when I return I no longer have audio.

I didn't notice this problem until the last month, so I believe it was introduced with updates.

I'm running a Thinkpad T530

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)


lsmod |grep snd
snd_hda_codec_realtek    77994  1 
snd_hda_intel          37618  4 
snd_hda_codec         126889  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
snd_seq                64844  0 
snd_seq_device         14136  1 snd_seq
snd_pcm                97459  3 snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  2 snd_pcm,snd_seq
snd                    79242  16 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,thinkpad_acpi,snd_seq_device
soundcore              14491  1 snd


uname -a
Linux fuerte 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


cat /proc/asound/modules 
 0 snd_hda_intel
29 thinkpad_acpi
Comment 2 John Anderson 2012-10-21 12:31:20 EDT
Created attachment 630929 [details]
This is a pulseaudio -vvvv output
Comment 3 John Anderson 2012-10-21 12:32:57 EDT
It also thinks the audio is being used:

sudo modprobe -r snd-hda-intel
FATAL: Module snd_hda_intel is in use.

Even though I am not using it.
Comment 4 Rex Dieter 2012-10-23 15:52:39 EDT
almost certainly a kernel/alsa issue, reassigning
Comment 5 AMM 2012-11-09 04:26:45 EST
I get the same problem in fedora 16.

Using HP laptop probook 4510s.
kernel is latest update 3.6.5-2 64bit. It happened in 3.6.2-1 as well

It didnt happen in previous kernel.

/var/log/messages gives this output on resume:

Nov  9 14:45:31 localhost kernel: [26561.860037] ALSA sound/pci/hda/hda_intel.c:868 azx_get_response timeout, switching to polling mode: last cmd=0x10170500
Nov  9 14:45:31 localhost kernel: [26562.862047] ALSA sound/pci/hda/hda_intel.c:876 No response from codec, disabling MSI: last cmd=0x10170500
Nov  9 14:45:31 localhost kernel: [26563.864048] ALSA sound/pci/hda/hda_intel.c:907 hda_intel: azx_get_response timeout, switching to single_cmd mode: last cmd=0x10170500

Currently I have to reboot the laptop everytime it goes to sleep.

So any workaround would be appreciated?
Comment 6 A. Folger 2012-11-13 18:40:32 EST
With the latest updates, this issue has been resolved. Thank you!

Note You need to log in before you can comment on or make changes to this bug.